using ServerDatabase.Utils;

namespace ServerDatabase;

public interface ICommandHandler
{
    string? CTC { get; }
    char TableAsLetter { get; }
    ICommandHandler? CommandHandlerParent { get; }
    ICommandHandler? Child { get; }
    IReadOnlyList<IBetterParameter> Parameters { get; }
    IReadOnlyList<IBetterParameter> Values { get; }
    IBetterTable BetterTable { get; }
}